Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.rmi.server
Interface RemoteRef

All Known Subinterfaces:
  ServerRef

public interface RemoteRef
extends java.io.Externalizable

This interface is provided strictly for compatibility with java.rmi.*

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `packagePrefix`

Method Summary
`void` | `done(RemoteCall remoteCall)`
`java.lang.String` | `getRefClass(java.io.ObjectOutput objectOutput)`
`void` | `invoke(RemoteCall remoteCall)`
`RemoteCall` | `newCall(RemoteObject remoteObject, Operation[] aoperation, int i, long j)`
`boolean` | `remoteEquals(RemoteRef remoteRef)`
`int` | `remoteHashCode()`
`java.lang.String` | `remoteToString()`

Methods inherited from interface java.io.Externalizable
`readExternal, writeExternal`

Field Detail

### packagePrefix

    public static final java.lang.String packagePrefix

Method Detail

### newCall

    public RemoteCall newCall(RemoteObject remoteObject,
                              Operation[] aoperation,
                              int i,
                              long j)
                       throws RemoteException

### invoke

    public void invoke(RemoteCall remoteCall)
                throws java.lang.Exception

### done

    public void done(RemoteCall remoteCall)
              throws RemoteException

### getRefClass

    public java.lang.String getRefClass(java.io.ObjectOutput objectOutput)

### remoteHashCode

    public int remoteHashCode()

### remoteEquals

    public boolean remoteEquals(RemoteRef remoteRef)

### remoteToString

    public java.lang.String remoteToString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD